Bug 1287085 - FTBFS with golang1.5+
FTBFS with golang1.5+
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: tmux-top (Show other bugs)
24
Unspecified Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Tomas Tomecek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-01 08:30 EST by Jakub Čajka
Modified: 2017-08-08 08:29 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 08:29:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Build fix (1.46 KB, patch)
2015-12-01 08:30 EST, Jakub Čajka
no flags Details | Diff

  None (edit)
Description Jakub Čajka 2015-12-01 08:30:01 EST
Created attachment 1100922 [details]
Build fix

Package fails to build with:
.
.
.
Executing(%build): /bin/sh -e /var/tmp/rpm-tmp.c8maR7
+ umask 022
+ cd /builddir/build/BUILD
+ cd tmux-top-5061554c690673816fdd056c46828a5686db7fb9
+ mkdir -p src/github.com/TomasTomecek
+ ln -s ../../../ src/github.com/TomasTomecek/tmux-top
++ pwd
+ export GOPATH=/builddir/build/BUILD/tmux-top-5061554c690673816fdd056c46828a5686db7fb9:/usr/share/gocode:
+ GOPATH=/builddir/build/BUILD/tmux-top-5061554c690673816fdd056c46828a5686db7fb9:/usr/share/gocode:
+ make
cd cli ; go build
go: GOPATH entry is relative; must be absolute path: "".
Run 'go help gopath' for usage.
Makefile:16: recipe for target 'build' failed
make: *** [build] Error 2
error: Bad exit status from /var/tmp/rpm-tmp.c8maR7 (%build)
RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.c8maR7 (%build)
Child return code was: 1
.
.
.

Failing scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=12015904

Which should affect all fedora branches and is caused be appending empty string to GOPATH($GOPATH is not exported in Fedora).
In attachment is patch to resolve this issue.
Scratch build with patch:
http://koji.fedoraproject.org/koji/taskinfo?taskID=12015870
Comment 1 Jan Kurik 2016-02-24 09:04:16 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 2 Fedora End Of Life 2017-07-25 15:35:18 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2017-08-08 08:29:07 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.